Package org.apache.tools.ant.dispatch

# Class DispatchUtils

java.lang.Object
org.apache.tools.ant.dispatch.DispatchUtils

    public class DispatchUtils
    extends java.lang.Object

Determines and Executes the action method for the task.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`DispatchUtils()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static void` | `execute​(java.lang.Object task)` | Determines and Executes the action method for the task.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DispatchUtils

public DispatchUtils()

## Method Details

### execute

public static final void execute​(java.lang.Object task) throws BuildException
Determines and Executes the action method for the task.

Parameters:
  `task` - the task to execute.
Throws:
  `BuildException` - on error.